Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ide
Class GenIDEPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.amp.amf.gen.ide.GenIDEPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public final class GenIDEPlugin

extends org.eclipse.emf.common.EMFPlugin

Nested Class Summary
`static class` | `GenIDEPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper`

Field Summary
`static GenIDEPlugin` | `INSTANCE` Keep track of the singleton.
`static java.lang.String` | `PLUGIN_ID`

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Constructor Summary
`GenIDEPlugin()` Create the instance.

Method Summary
`static GenIDEPlugin.Implementation` | `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`org.eclipse.emf.common.util.ResourceLocator` | `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin.

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getPluginLogger, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### INSTANCE

    public static final GenIDEPlugin INSTANCE

  Keep track of the singleton.

Constructor Detail

### GenIDEPlugin

    public GenIDEPlugin()

  Create the instance.

Method Detail

### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Specified by:
    `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
  Returns:
    the singleton instance.

### getPlugin

    public static GenIDEPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD